Bug 103807 - certwatch.cron should only warn once if a certificate is duplicated several times
Summary: certwatch.cron should only warn once if a certificate is duplicated several t...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-05 08:01 UTC by Joe Orton
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 18:52:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2003-09-05 08:01:46 UTC
Description of problem:
if the same certificate is configured for more than one vhost, duplicate expiry
warnings will be issued for as many vhosts the cert is configured for.

Having -t -DDUMP_CERTS check for duplicates is probably the best solution.

Version-Release number of selected component (if applicable):
mod_ssl-2.0.46-17.ent

How reproducible:
always

Comment 1 Joe Orton 2005-03-02 18:52:17 UTC
Fixed for in crypto-utils-2.1-5 for RHEL5 and later.


Note You need to log in before you can comment on or make changes to this bug.